Skip to main content
GET
/
api
/
projects
/
beta
/
projects
Get Projects visible to user
curl --request GET \
  --url https://api.example.com/api/projects/beta/projects \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  },
  "projects": [
    {
      "collaborators": [
        {
          "id": "662604702b7e5d347dbe7a908"
        }
      ],
      "description": "<string>",
      "id": "626046fcb7e5d347dbe7a904",
      "isRestricted": true,
      "name": "My Project",
      "ownerId": "662604702b7e5d347dbe7a908",
      "ownerUsername": "steve_holt",
      "billingTag": {
        "tag": "<string>"
      },
      "internalTags": [
        "<string>"
      ],
      "mainRepository": {
        "defaultRef": {
          "value": "<string>"
        },
        "id": "62604702b7e5d347dbe7a908",
        "uri": "https://github.com/torvalds/linux",
        "name": "<string>"
      }
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

offset
integer

How many Projects from the start to skip. Defaults to 0.

limit
integer

Max number of Projects to fetch. Defaults to 10.

Response

Success

metadata
object
required
projects
object[]
required